﻿/*DataGrid Styles START*/


.dx-editor-cell .dx-texteditor .dx-texteditor-input {
    background-color: LightSteelBlue;
}

.dx-datagrid-content .dx-datagrid-table .dx-row .dx-editor-cell .dx-texteditor, .dx-datagrid-content .dx-datagrid-table .dx-row .dx-editor-cell .dx-texteditor-container {
    background-color: LightSteelBlue;
}

.dx-datagrid-filter-row,
.dx-datagrid-filter-row .dx-editor-cell .dx-texteditor-input {
    background-color: LightSteelBlue;
}

/*devexpress datagrid row hover */
.dx-data-row.dx-state-hover:not(.dx-edit-row) > td:not(.dx-focused) {
    background-color: #82CAFA !important;
    color: black !important;
    font-weight: bold;
    cursor: pointer;
}
.dx-datagrid-header-panel {
    padding: 0px !important;
    border-bottom: 1px solid #e0e0e0;
}
/*devexpress datagrid toolbar*/
    .dx-datagrid-header-panel .dx-toolbar {
        padding: 0px !important;
        background-color: #4d97ec1f;
        border: 0.5px solid lightgray;
        border-radius: 2px;
        margin-bottom:0px !important;
    }

.dx-toolbar .dx-toolbar-items-container {
    margin: 0.4rem 0rem 0.4rem 0.5rem;
}

/*GRID TOOLBAR*/
.dx-toolbar {
    padding: 15px;
    background-color: #ECECEC;
}
/*DataGrid Styles END*/


/*FormLayout*/
.FormLayout {
    margin: 10px;
    padding: 15px;
    border: 1px solid lightgray;
    border-radius: 10px;
    background-color: ghostwhite;
}

.dx-field-item-label-text {
    color: #404040;
    font-weight: normal;
}
/*FormLayout*/


/*FormToolBarStyles*/
.FormToolbar {
    /*    margin: 10px;
    height: 55px;*/

    border: 1px solid lightgray;
    border-radius: 5px;
    display: flex;
    flex-wrap:wrap;
    align-items: center;
    padding: 2px 0px 0px 2px;
    background-color: #4d97ec1f;
}

.BlueColor {
    background-color: LightSteelBlue !important;
}

.YellowColor {
    background-color: #FFF2CC !important;
}
/*FormToolBarStyles*/

.btn-label {
    position: relative;
    left: -12px;
    display: inline-block;
    padding: 6px 12px;
    background: rgba(0,0,0,0.15);
    border-radius: 3px 0 0 3px;
}

.btn-labeled {
    padding-top: 0;
    padding-bottom: 0;
}

.btn {
    margin: 5px;
    font-size:small;
    font-weight:600;
}
.btn-icon-prepend{
    font-size:inherit !important;
}
.HiddenFormItem {
    visibility: hidden !important;
}

.order-1 {
    order: 1;
}

.order-2 {
    order: 2;
}

.order-3 {
    order: 3;
}

.right-gap {
    margin-right: auto;
}

.PageCaption {
    font-size: 15px;
    vertical-align: middle;
    border-radius: 15px;
    padding: 5px;
    font-weight: bold;
}

.PageCaptionData {
    font-size: 25px;
    vertical-align: middle;
    background-color: LightSteelBlue;
    border-radius: 15px;
    padding-bottom: 5px;
    padding-left: 15px;
    padding-right: 15px;
}

.control-label {
    background-color: LightSteelBlue;
    padding: 8px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 0px;
    border-top-left-radius: 5px;
    border-top-right-radius: 0px;
}

.control-form-label {
    background-color: ghostwhite;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 5px;
    border-top-left-radius: 0px;
    border-top-right-radius: 5px;
}

.control-form-caption {
    width: 100%;
    padding: 8px;
    background-color: lightsteelblue;
    border-radius: 5px;
    text-align: center;
}

.dx-fileuploader-button .dx-button-text {
    color: White;
    cursor: pointer;
}

.dx-fileuploader-button.dx-widget {
    background-color: #00a65a;
}

.dx-fileuploader-wrapper {
    border: 1px dashed gray !important;
}

.labelDesignImage {
    max-height: 75px;
    max-width: 75px;
    text-align: center;
    cursor: pointer;
}

.labelDesignBigImage {
    max-height: 700px;
    max-width: 700px;
    text-align: center;
}

.afterFormToolbarInfoDiv {
    margin-left: 10px;
    margin-right: 10px;
    padding: 15px;
    border: 1px solid lightgray;
    border-radius: 5px;
    background-color: ghostwhite;
}

.FormToolbarRightCaption {
    display: inline-block;
    width: 90%;
    text-align: right;
    margin-right: 15px;
    font-size: 25px;
    color: #0e4766;
    text-shadow: #fffa1c 1px 0 10px;
}


.input-group-append .input-group-text, .input-group-prepend .input-group-text {
    padding:6px 12px 6px 12px;
}
.bg-primary {
    background-color: #4B49AC !important;
}